
get_filename_component(_qt5_install_prefix "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

set(Qt5Gui_VERSION_MAJOR 5)
set(Qt5Gui_VERSION_MINOR 0)
set(Qt5Gui_VERSION_PATCH 0)

set(Qt5Gui_LIBRARIES Qt5::Gui)

set(Qt5Gui_INCLUDE_DIRS "${_qt5_install_prefix}/include/" "${_qt5_install_prefix}/include/QtGui")

string(TOUPPER Gui _CMAKE_MODULE_NAME_UPPER)
set(Qt5Gui_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)
set(Qt5Gui_COMPILE_DEFINITIONS QT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "")

foreach(_module_dep ${_Qt5_MODULE_DEPENDENCIES})
    if (NOT Qt5${_module_dep}_FOUND)
        find_package(Qt5${_module_dep} REQUIRED)
    endif()
    list(APPEND Qt5Gui_INCLUDE_DIRS ${Qt5${_module_dep}_INCLUDE_DIRS})
    list(APPEND Qt5Gui_DEFINITIONS ${Qt5${_module_dep}_DEFINITIONS})
    list(APPEND Qt5Gui_COMPILE_DEFINITIONS ${Qt5${_module_dep}_COMPILE_DEFINITIONS})
    list(APPEND Qt5Gui_EXECUTABLE_COMPILE_FLAGS ${Qt5${_module_dep}_EXECUTABLE_COMPILE_FLAGS})
endforeach()
list(REMOVE_DUPLICATES Qt5Gui_INCLUDE_DIRS)
list(REMOVE_DUPLICATES Qt5Gui_DEFINITIONS)
list(REMOVE_DUPLICATES Qt5Gui_COMPILE_DEFINITIONS)
if (Qt5Gui_EXECUTABLE_COMPILE_FLAGS)
  list(REMOVE_DUPLICATES Qt5Gui_EXECUTABLE_COMPILE_FLAGS)
endif()


list(APPEND Qt5Gui_LIB_DEPENDENCIES )

if (NOT _Qt5Gui_target)
    set(_Qt5Gui_target 1)
    add_library(Qt5::Gui SHARED IMPORTED)
endif()


set_property(TARGET Qt5::Gui APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(Qt5::Gui PROPERTIES
    IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "${Qt5Gui_LIB_DEPENDENCIES}"
    IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib/libQtGui.so.5.0.0"
)


